TerminalView subclass:#VT52TerminalView
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Views-TerminalViews'
!

!VT52TerminalView class methodsFor:'documentation'!

documentation
"
    VT52 terminal

    [start with:]
        VT52TerminalView openShell
"

! !

!VT52TerminalView methodsFor:'defaults'!

vt52Codes
    ^ #(
         ( '\eA'  #doCursorUp    )
         ( '\eB'  #doCursorLeft  )
         ( '\eC'  #doCursorRight  )
         ( '\eD'  #doCursorDown )
         ( '\eH'  #doCursorHome  )
         ( '\eJ'  #doClearToEnd  )
         ( '\r'   #doCursorReturn  )
         ( '\n'   #doCursorNewLine  )
         ( '\b'   #doBackspace  )
       )

    "Modified: / 9.6.1998 / 20:47:50 / cg"
!

vt52KeyCodes
    ^ IdentityDictionary withKeysAndValues:
        #(
             #CursorUp    '\eA'
             #CursorDown  '\eB'
             #CursorLeft  '\eC'
             #CursorRight '\eD'
             #Home        '\eH'
             #Escape      '\e'
             #Backspace   '\b'
             #Return      '\r'
             #Delete      '\0377'
         )
! !

!VT52TerminalView methodsFor:'initialization'!

initialize
    super initialize.
    self escapeSequences:(self vt52Codes)


!

initializeEscapeSequences
    self escapeSequences:(self vt52Codes)


!

initializeKeyboardSequences
    kbdSequences := (self vt52KeyCodes)


! !

!VT52TerminalView class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libwidg2/VT52TerminalView.st,v 1.3 1998-06-09 18:51:37 cg Exp $'
! !
